import {
  spinner_styles_default
} from "./chunk.PL2KXYGF.js";
import {
  LocalizeController
} from "./chunk.AFESEORB.js";
import {
  LynkElement
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";

// src/components/spinner/spinner.component.ts
var LynkSpinner = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.localize = new LocalizeController(this);
  }
  render() {
    return x`
      <svg part="base" class="spinner" role="progressbar" aria-label=${this.localize.term("loading")}>
        <circle class="spinner__track"></circle>
        <circle class="spinner__indicator"></circle>
      </svg>
    `;
  }
};
LynkSpinner.styles = [component_styles_default, spinner_styles_default];

export {
  LynkSpinner
};
