import {
  i
} from "./chunk.Z3O73C4R.js";

// src/components/page-content/page-content.styles.ts
var page_content_styles_default = i`
  :host {
    display: contents;
    --padding-top: var(--lynk-spacing-large);
    --padding-bottom: var(--lynk-spacing-large);
  }

  .page-content {
    padding-left: var(--lynk-page-margin);
    padding-right: var(--lynk-page-margin);
    padding-top: var(--padding-top);
    padding-bottom: var(--padding-bottom);
    margin-left: auto;
    margin-right: auto;
    width: 100%;
  }

  .page-content.page-content--fluid {
    width: fit-content;
    max-width: unset;
    padding-left: 0;
    padding-right: 0;
    margin: 0 var(--lynk-page-margin);
    min-width: calc(100% - (var(--lynk-page-margin) * 2));
  }

  @media (min-width: 588px) {
    .page-content,
    .page-content.page-content--sm {
      max-width: 540px;
    }
  }

  @media (min-width: 768px) {
    .page-content,
    .page-content.page-content--md {
      max-width: 720px;
    }
  }

  @media (min-width: 1024px) {
    .page-content,
    .page-content.page-content--lg {
      max-width: 968px;
    }
  }

  @media (min-width: 1200px) {
    .page-content,
    .page-content.page-content--xl {
      max-width: 1144px;
    }
  }

  @media (min-width: 1400px) {
    .page-content,
    .page-content.page-content--xxl {
      max-width: 1328px;
    }
  }
`;

export {
  page_content_styles_default
};
