import {
  stack_styles_default
} from "./chunk.BN2C7RBH.js";
import {
  e
} from "./chunk.4VMW2AZ2.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/stack/stack.component.ts
var LynkStack = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.horizontal = false;
    this.reverse = false;
    this.wrap = false;
    this.gap = "var(--lynk-spacing-small)";
  }
  render() {
    return x`
      <slot
        part="base"
        class=${e({
      stack: true,
      "stack--horizontal": this.horizontal,
      "stack--reverse": this.reverse,
      "stack--align-start": this.align === "start",
      "stack--align-center": this.align === "center",
      "stack--align-end": this.align === "end",
      "stack--align-stretch": this.align === "stretch",
      "stack--align-baseline": this.align === "baseline",
      "stack--justify-start": this.justify === "start",
      "stack--justify-center": this.justify === "center",
      "stack--justify-end": this.justify === "end",
      "stack--justify-between": this.justify === "between",
      "stack--justify-around": this.justify === "around",
      "stack--justify-evenly": this.justify === "evenly",
      "stack--wrap": this.wrap
    })}
        style="--gap: ${this.gap};"
      ></slot>
    `;
  }
};
LynkStack.styles = [component_styles_default, stack_styles_default];
__decorateClass([
  n({ type: Boolean, reflect: true })
], LynkStack.prototype, "horizontal", 2);
__decorateClass([
  n({ type: Boolean, reflect: true })
], LynkStack.prototype, "reverse", 2);
__decorateClass([
  n({ reflect: true })
], LynkStack.prototype, "justify", 2);
__decorateClass([
  n({ reflect: true })
], LynkStack.prototype, "align", 2);
__decorateClass([
  n({ type: Boolean, reflect: true })
], LynkStack.prototype, "wrap", 2);
__decorateClass([
  n({ type: String, reflect: true })
], LynkStack.prototype, "gap", 2);

export {
  LynkStack
};
