import {
  LynkIntersectionObserver
} from "./chunk.7I5S5FDY.js";

// src/react/intersection-observer/index.ts
import * as React from "react";
import { createComponent } from "@lit/react";
import "@lit/react";
var tagName = "lynk-intersection-observer";
LynkIntersectionObserver.define("lynk-intersection-observer");
var reactWrapper = createComponent({
  tagName,
  elementClass: LynkIntersectionObserver,
  react: React,
  events: {
    EvEnterView: "ev-enter-view",
    EvExitView: "ev-exit-view"
  },
  displayName: "LynkIntersectionObserver"
});
var intersection_observer_default = reactWrapper;

export {
  intersection_observer_default
};
