import {
  i
} from "./chunk.Z3O73C4R.js";

// src/components/page-footer/page-footer.styles.ts
var page_footer_styles_default = i`
  :host {
    display: contents;
    --background-color: var(--lynk-color-neutral-50);
  }

  .page-footer {
    border-radius: var(--lynk-border-radius-large) var(--lynk-border-radius-large) 0 0;
    height: auto;
    background: var(--background-color);
    box-shadow: var(--lynk-shadow-large);
    border: 1px solid var(--lynk-color-neutral-200);
    border-bottom: none;
    padding: var(--lynk-spacing-small);
    z-index: var(--lynk-z-index-footer);
    display: grid;
    grid-template-areas: 'primary center secondary';
    grid-template-columns: 1fr 1fr 1fr;
  }

  .page-footer__primary {
    grid-area: primary;
    display: flex;
    gap: var(--lynk-spacing-x-small);
  }

  .page-footer__center {
    grid-area: center;
    display: flex;
    justify-self: center;
    justify-content: center;
    align-self: center;
    align-content: center;
    gap: var(--lynk-spacing-x-small);
  }

  .page-footer__secondary {
    grid-area: secondary;
    display: flex;
    gap: var(--lynk-spacing-x-small);
    justify-content: flex-end;
  }
`;

export {
  page_footer_styles_default
};
