import {
  i
} from "./chunk.Z3O73C4R.js";

// src/components/radio-group/radio-group.styles.ts
var radio_group_styles_default = i`
  :host {
    display: block;
  }

  .form-control {
    position: relative;
    border: none;
    padding: 0;
    margin: 0;
  }

  .form-control__label {
    padding: 0;
  }

  .radio-group--required .radio-group__label::after {
    content: var(--lynk-input-required-content);
    margin-inline-start: var(--lynk-input-required-content-offset);
  }

  /* This prevents the entire width of the radio container from being clickable */
  .radio-group__control {
    display: flex;
    flex-direction: column;
    gap: var(--lynk-spacing-tiny);
  }

  .radio-group__control--has-button-group {
    display: contents;
  }

  .visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
  }

  .form-control-input ::slotted(lynk-radio) {
    align-self: start;
  }
`;

export {
  radio_group_styles_default
};
