import {
  badge_styles_default
} from "./chunk.RXQ6IVR7.js";
import {
  e
} from "./chunk.4VMW2AZ2.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/badge/badge.component.ts
var LynkBadge = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.pill = false;
    this.pulse = false;
  }
  render() {
    return x`
      <span
        part="base"
        class=${e({
      badge: true,
      "badge--primary": this.type === "primary",
      "badge--accent": this.type === "accent",
      "badge--info": this.type === "info",
      "badge--success": this.type === "success",
      "badge--neutral": this.type === "neutral",
      "badge--warning": this.type === "warning",
      "badge--danger": this.type === "danger",
      "badge--pill": this.pill,
      "badge--pulse": this.pulse
    })}
        role="status"
      >
        <slot></slot>
      </span>
    `;
  }
};
LynkBadge.styles = [component_styles_default, badge_styles_default];
__decorateClass([
  n({ reflect: true })
], LynkBadge.prototype, "type", 2);
__decorateClass([
  n({ type: Boolean, reflect: true })
], LynkBadge.prototype, "pill", 2);
__decorateClass([
  n({ type: Boolean, reflect: true })
], LynkBadge.prototype, "pulse", 2);

export {
  LynkBadge
};
