import {
  responsive_media_styles_default
} from "./chunk.B7RRUTOJ.js";
import {
  e
} from "./chunk.4VMW2AZ2.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/responsive-media/responsive-media.component.ts
var LynkResponsiveMedia = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.aspectRatio = "16:9";
    this.fit = "cover";
  }
  render() {
    const split = this.aspectRatio.split(":");
    const x2 = parseFloat(split[0]);
    const y = parseFloat(split[1]);
    const paddingBottom = !isNaN(x2) && !isNaN(y) && x2 > 0 && y > 0 ? `${y / x2 * 100}%` : "0";
    return x`
      <div
        class=${e({
      "responsive-media": true,
      "responsive-media--cover": this.fit === "cover",
      "responsive-media--contain": this.fit === "contain"
    })}
        style="padding-bottom: ${paddingBottom}"
      >
        <slot></slot>
      </div>
    `;
  }
};
LynkResponsiveMedia.styles = [component_styles_default, responsive_media_styles_default];
__decorateClass([
  n({ attribute: "aspect-ratio" })
], LynkResponsiveMedia.prototype, "aspectRatio", 2);
__decorateClass([
  n()
], LynkResponsiveMedia.prototype, "fit", 2);

export {
  LynkResponsiveMedia
};
