import {
  tab_panel_styles_default
} from "./chunk.CCJZ4R7A.js";
import {
  watch
} from "./chunk.JMZM2TDT.js";
import {
  e
} from "./chunk.4VMW2AZ2.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/tab-panel/tab-panel.component.ts
var id = 0;
var LynkTabPanel = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.attrId = ++id;
    this.componentId = `tab-panel-${this.attrId}`;
    this.name = "";
    this.active = false;
  }
  connectedCallback() {
    super.connectedCallback();
    this.id = this.id.length > 0 ? this.id : this.componentId;
    this.setAttribute("role", "tabpanel");
  }
  handleActiveChange() {
    this.setAttribute("aria-hidden", this.active ? "false" : "true");
  }
  render() {
    return x`
      <slot
        part="base"
        class=${e({
      "tab-panel": true,
      "tab-panel--active": this.active
    })}
      ></slot>
    `;
  }
};
LynkTabPanel.styles = [component_styles_default, tab_panel_styles_default];
__decorateClass([
  n({ reflect: true })
], LynkTabPanel.prototype, "name", 2);
__decorateClass([
  n({ type: Boolean, reflect: true })
], LynkTabPanel.prototype, "active", 2);
__decorateClass([
  watch("active")
], LynkTabPanel.prototype, "handleActiveChange", 1);

export {
  LynkTabPanel
};
