import {
  auto_grid_styles_default
} from "./chunk.2MLT67QO.js";
import {
  e
} from "./chunk.4VMW2AZ2.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/auto-grid/auto-grid.component.ts
var LynkAutoGrid = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.autoSize = "fit";
    this.minSize = "20rem";
    this.gap = "var(--lynk-spacing-base)";
  }
  render() {
    return x`
      <slot
        part="base"
        class=${e({
      "auto-grid": true,
      "auto-grid--fit": this.autoSize === "fit",
      "auto-grid--fill": this.autoSize === "fill"
    })}
        style="--gap: ${this.gap}; --min-size: ${this.minSize};"
      ></slot>
    `;
  }
};
LynkAutoGrid.styles = [component_styles_default, auto_grid_styles_default];
__decorateClass([
  n({ reflect: true, attribute: "auto-size" })
], LynkAutoGrid.prototype, "autoSize", 2);
__decorateClass([
  n({ type: String, reflect: true, attribute: "min-size" })
], LynkAutoGrid.prototype, "minSize", 2);
__decorateClass([
  n({ type: String, reflect: true })
], LynkAutoGrid.prototype, "gap", 2);

export {
  LynkAutoGrid
};
