import {
  i
} from "./chunk.Z3O73C4R.js";

// src/components/tab/tab.styles.ts
var tab_styles_default = i`
  :host {
    display: inline-block;
    --padding: var(--lynk-spacing-x-small) var(--lynk-spacing-small);
  }

  .tab {
    display: inline-flex;
    align-items: center;
    font-family: var(--lynk-font-sans);
    font-size: var(--lynk-font-size-medium);
    font-weight: var(--lynk-font-weight-semibold);
    border-radius: var(--lynk-border-radius-medium);
    color: var(--lynk-color-neutral-600);
    padding: var(--padding);
    text-decoration: none;
    white-space: nowrap;
    user-select: none;
    cursor: pointer;
    transition:
      var(--transition-speed) box-shadow,
      var(--transition-speed) color;
  }

  .tab:hover:not(.tab--disabled) {
    color: var(--lynk-color-primary-600);
  }

  :host(:focus) {
    outline: transparent;
  }

  :host(:focus-visible) {
    color: var(--lynk-color-primary-600);
    outline: var(--lynk-focus-ring);
    outline-offset: calc(-1 * var(--lynk-focus-ring-width) - var(--lynk-focus-ring-offset));
  }

  .tab.tab--active:not(.tab--disabled) {
    color: var(--lynk-color-primary-600);
  }

  .tab.tab--closable {
    padding-inline-end: var(--lynk-spacing-small);
  }

  .tab.tab--disabled {
    opacity: 0.5;
    cursor: not-allowed;
  }

  .tab__close-button {
    font-size: var(--lynk-font-size-small);
    margin-inline-start: var(--lynk-spacing-small);
  }

  .tab__close-button::part(base) {
    padding: var(--lynk-spacing-3x-small);
  }

  @media (forced-colors: active) {
    .tab.tab--active:not(.tab--disabled) {
      outline: solid 1px transparent;
      outline-offset: -3px;
    }
  }
`;

export {
  tab_styles_default
};
