import LynkElement from '../../internal/lynk-element.js';
import type { CSSResultGroup } from 'lit';
/**
 * @summary Table `<lynk-col>` components will behave like a native `<col>` HTML element within a `<lynk-table>`.
 * @documentation https://lynk.design/components/col
 * @since 1.0.0
 * @status stable
 */
export default class LynkCol extends LynkElement {
    static styles: CSSResultGroup;
    render(): import("lit").TemplateResult<1>;
}
