import Component from '../../components/box/box.component.js';
/**
 * @since 1.0.0
 * @status deprecated
 * @description A box, the most basic of containers.
 * @slot - The default slot.
 *
 * @csspart base - The component's internal wrapper.
 *
 * @cssproperty [--align=left] - Custom text align (left, center, right).
 * @cssproperty [--background=transparent] - Any color token (--lynk-color-neutral-100) or a custom value.
 * @cssproperty --border - <border-style> <border-width> <border-color>.
 * @cssproperty --border-radius - Any Border Radius token (--lynk-border-radius-medium) or a custom value.
 * @cssproperty [--color=inherit] - Any color token (--lynk-color-neutral-100) or a custom value.
 * @cssproperty [--height=auto] - Any custom px, rem, %, or vh value.
 * @cssproperty [--width=auto] - Any custom px, rem, %, or vh value.
 * @cssproperty [--margin=0] - Any spacing token (--lynk-spacing-large) or a custom value.
 * @cssproperty [--padding=0] - Any spacing token (--lynk-spacing-large) or a custom value.
 * @cssproperty --shadow - Any elevation shadow token (--lynk-shadow-large);
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
