import Component from '../../components/menu-label/menu-label.component.js';
/**
 * @summary Menu labels are used to describe a group of menu items.
 * @documentation https://lynk.design/components/menu-label
 * @since 1.0.0
 * @status stable
 *
 * @slot - The menu label's content.
 *
 * @csspart base - The component's internal wrapper.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
