import Component from '../../components/tr/tr.component.js';
/**
 * @summary Table `<lynk-tr>` components will behave like a native `<tr>` HTML elements within a `<lynk-table>`.
 * @documentation https://lynk.design/components/tr
 * @since 1.0.0
 * @status stable
 *
 * @slot - Should contain 1 or more `<lynk-td>` or `<lynk-th>` components.
 *
 * @csspart base - The component's internal wrapper.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
