import Component from '../../components/visually-hidden/visually-hidden.component.js';
/**
 * @summary The visually hidden utility makes content accessible to assistive devices without displaying it on the screen.
 * @documentation https://lynk.design/components/visually-hidden
 * @status stable
 * @since 1.0.0
 *
 * @slot - The content to be visually hidden.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
