import {
  button_styles_default
} from "./chunk.QKFJOBUJ.js";

// src/components/radio-button/radio-button.styles.ts
import { css } from "lit";
var radio_button_styles_default = css`
  ${button_styles_default}

  .button__prefix,
  .button__suffix,
  .button__label {
    display: inline-flex;
    position: relative;
    align-items: center;
  }

  /* fixes a bug where clicking on an icon used in the label doesn't fire the click event  */
  .button__label::slotted(lynk-icon) {
    pointer-events: none;
  }

  /* We use a hidden input so constraint validation errors work, since they don't appear to show when used with buttons.
    We can't actually hide it, though, otherwise the messages will be suppressed by the browser. */
  .hidden-input {
    all: unset;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    outline: dotted 1px red;
    opacity: 0;
    z-index: -1;
  }
`;

export {
  radio_button_styles_default
};
