import {
  wisp_styles_default
} from "./chunk.LOOPWOZG.js";
import {
  LynkElement
} from "./chunk.7M4AVQ6D.js";
import {
  component_styles_default
} from "./chunk.Y7724W4D.js";
import {
  __decorateClass
} from "./chunk.KAW7D32O.js";

// src/components/wisp/wisp.component.ts
import { classMap } from "lit/directives/class-map.js";
import { html } from "lit";
import { property } from "lit/decorators.js";
var LynkWisp = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.effect = "none";
  }
  render() {
    return html`
      <div
        part="base"
        class=${classMap({
      wisp: true,
      "wisp--pulse": this.effect === "pulse",
      "wisp--sheen": this.effect === "sheen"
    })}
      >
        <div part="indicator" class="wisp__indicator"></div>
      </div>
    `;
  }
};
LynkWisp.styles = [component_styles_default, wisp_styles_default];
__decorateClass([
  property()
], LynkWisp.prototype, "effect", 2);

export {
  LynkWisp
};
