import {
  box_styles_default
} from "./chunk.D2UJW57T.js";
import {
  LynkElement
} from "./chunk.7M4AVQ6D.js";

// src/components/box/box.component.ts
import { classMap } from "lit/directives/class-map.js";
import { html } from "lit";
var LynkBox = class extends LynkElement {
  render() {
    return html`
      <div
        part="base"
        class=${classMap({
      box: true,
      "box--overflow": getComputedStyle(this).getPropertyValue("--height") ? true : false
    })}
      >
        <slot></slot>
      </div>
    `;
  }
};
LynkBox.styles = box_styles_default;

export {
  LynkBox
};
