// src/components/menu-label/menu-label.styles.ts
import { css } from "lit";
var menu_label_styles_default = css`
  :host {
    display: block;
  }

  .menu-label {
    display: inline-block;
    font-family: var(--lynk-font-sans);
    font-size: var(--lynk-font-size-small);
    font-weight: var(--lynk-font-weight-semibold);
    line-height: var(--lynk-line-height-normal);
    letter-spacing: var(--lynk-letter-spacing-normal);
    color: var(--lynk-color-neutral-500);
    padding: var(--lynk-spacing-2x-small) var(--lynk-spacing-large);
    user-select: none;
  }
`;

export {
  menu_label_styles_default
};
