import {
  divider_styles_default
} from "./chunk.TRGPE6U4.js";
import {
  watch
} from "./chunk.GMYPQTFK.js";
import {
  LynkElement
} from "./chunk.7M4AVQ6D.js";
import {
  component_styles_default
} from "./chunk.Y7724W4D.js";
import {
  __decorateClass
} from "./chunk.KAW7D32O.js";

// src/components/divider/divider.component.ts
import { property } from "lit/decorators.js";
var LynkDivider = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.vertical = false;
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("role", "separator");
  }
  handleVerticalChange() {
    this.setAttribute("aria-orientation", this.vertical ? "vertical" : "horizontal");
  }
};
LynkDivider.styles = [component_styles_default, divider_styles_default];
__decorateClass([
  property({ type: Boolean, reflect: true })
], LynkDivider.prototype, "vertical", 2);
__decorateClass([
  watch("vertical")
], LynkDivider.prototype, "handleVerticalChange", 1);

export {
  LynkDivider
};
