// src/components/auto-grid/auto-grid.styles.ts
import { css } from "lit";
var auto_grid_styles_default = css`
  :host {
    display: contents;
    --gap: var(--lynk-spacing-base);
    --min-size: 20rem;
  }

  .auto-grid {
    display: grid;
    grid-gap: var(--gap);
  }

  .auto-grid--fit {
    grid-template-columns: repeat(auto-fit, minmax(min(var(--min-size), 100%), 1fr));
  }

  .auto-grid--fill {
    grid-template-columns: repeat(auto-fill, minmax(min(var(--min-size), 100%), 1fr));
  }
`;

export {
  auto_grid_styles_default
};
