import Component from '../../components/colgroup/colgroup.component.js';
/**
 * @summary Table `<lynk-colgroup>` components will behave like a native `<colgroup>` HTML element within a `<lynk-table>`.
 * @documentation https://lynk.design/components/colgroup
 * @since 1.0.0
 * @status stable
 *
 * @slot - Should contain 1 or more `<lynk-col>` components.
 *
 * @csspart base - The component's internal wrapper.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
