import Component from '../../components/page-content/page-content.component.js';
/**
 * @summary The page-content component is a fundamental layout building block to standardize how content is contained, padded, and aligned within a given device or viewport.
 * @documentation https://lynk.design/components/page-content
 * @since 1.0.0
 * @status stable
 *
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
