import Component from '../../components/truncate/truncate.component.js';
/**
 * @summary Truncate is a tool used to shorten numeric and non-numeric character strings, typically when the string overflows its container.
 * @documentation https://lynk.design/components/truncate
 * @since 1.0.0
 * @status stable
 *
 * @slot - The default slot.
 * @slot end - Used when adding ellipsis at start or middle of truncated string.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
