import {
  e
} from "./chunk.4VMW2AZ2.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  accordion_styles_default
} from "./chunk.OLZJC5MN.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/accordion/accordion.component.ts
var LynkAccordion = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.multiple = false;
  }
  getAllPanels() {
    return [...this.querySelectorAll("lynk-panel")];
  }
  handlePanelToggle(event) {
    const target = event.target.closest("lynk-panel");
    const panels = this.getAllPanels();
    if (target.disabled) {
      return;
    }
    if (!this.multiple) {
      panels.forEach((panel) => panel.expanded = panel === target);
    }
  }
  /** Expands all panels. */
  expandAll() {
    const panels = this.getAllPanels();
    panels.forEach((panel) => panel.expanded = true);
  }
  /** Collapses all panels */
  collapseAll() {
    const panels = this.getAllPanels();
    panels.forEach((panel) => panel.expanded = false);
  }
  render() {
    return x`
      <slot
        part="base"
        class=${e({
      accordion: true,
      "accordion--square": this.shape === "square",
      "accordion--flush": this.density === "flush",
      "accordion--compact": this.density === "compact",
      "accordion--comfy": this.density === "comfy"
    })}
        @ev-expand=${this.handlePanelToggle}
      ></slot>
    `;
  }
};
LynkAccordion.styles = [component_styles_default, accordion_styles_default];
__decorateClass([
  n({ type: Boolean })
], LynkAccordion.prototype, "multiple", 2);
__decorateClass([
  n({ reflect: true })
], LynkAccordion.prototype, "density", 2);
__decorateClass([
  n({ reflect: true })
], LynkAccordion.prototype, "shape", 2);

export {
  LynkAccordion
};
