import {
  th_styles_default
} from "./chunk.T7O6VIZ5.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/th/th.component.ts
var LynkTh = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.sortDirection = 0 /* NONE */;
    this.sortable = false;
  }
  connectedCallback() {
    super.connectedCallback();
    this.addEventListener("click", this.handleClick);
  }
  disconnectedCallback() {
    super.disconnectedCallback();
    this.removeEventListener("click", this.handleClick);
  }
  handleClick() {
    if (this.sortable) {
      this.emit("ev-table-sort", {
        detail: {
          key: this.key
        }
      });
    }
  }
  render() {
    return x`
      <slot part="base" class="lynk-th__label"></slot>
      ${this.sortable ? x`<lynk-icon
            library="system"
            name="${this.sortDirection === -1 /* ASC */ ? "arrow-up-short" : this.sortDirection === 1 /* DESC */ ? "arrow-down-short" : "arrow-up-down-short"}"
          ></lynk-icon>` : ``}
    `;
  }
};
LynkTh.styles = [component_styles_default, th_styles_default];
__decorateClass([
  n()
], LynkTh.prototype, "key", 2);
__decorateClass([
  n({ attribute: "sort-direction", reflect: true })
], LynkTh.prototype, "sortDirection", 2);
__decorateClass([
  n({ attribute: "sortable", type: Boolean, reflect: true })
], LynkTh.prototype, "sortable", 2);

export {
  LynkTh
};
