import {
  i
} from "./chunk.Z3O73C4R.js";

// src/styles/form-control.styles.ts
var form_control_styles_default = i`
  .form-control {
    text-align: left;
  }

  .form-control .form-control__label {
    display: none;
  }

  .form-control .form-control__help-text {
    display: none;
  }

  /* Label */
  .form-control--has-label .form-control__label {
    display: inline-block;
    color: var(--lynk-input-label-color);
    font-weight: var(--lynk-input-label-font-weight);
    margin-bottom: var(--lynk-spacing-tiny);
  }

  .form-control__label.form-control--focused {
    color: var(--lynk-color-primary-500);
  }

  .form-control--has-label.form-control--small .form-control__label {
    font-size: var(--lynk-input-label-font-size-small);
  }

  .form-control--has-label.form-control--medium .form-control__label {
    font-size: var(--lynk-input-label-font-size-medium);
  }

  .form-control--has-label.form-control--large .form-control_label {
    font-size: var(--lynk-input-label-font-size-large);
  }

  /* Help text */
  .form-control--has-help-text .form-control__help-text {
    display: block;
    color: var(--lynk-input-help-text-color);
    margin-top: var(--lynk-spacing-tiny);
  }

  .form-control--has-help-text .form-control__help-text ::slotted(*) {
    margin-top: var(--lynk-spacing-tiny);
  }

  .form-control--has-help-text.form-control--small .form-control__help-text {
    font-size: var(--lynk-input-help-text-font-size-small);
  }

  .form-control--has-help-text.form-control--medium .form-control__help-text {
    font-size: var(--lynk-input-help-text-font-size-medium);
  }

  .form-control--has-help-text.form-control--large .form-control__help-text {
    font-size: var(--lynk-input-help-text-font-size-large);
  }

  /* Validation States */
  .form-control--has-error.form-control--has-label .form-control__label,
  .form-control--has-error.form-control--has-help-text .form-control__help-text {
    color: var(--lynk-color-danger-500);
  }

  .form-control--has-warning.form-control--has-label .form-control__label,
  .form-control--has-warning.form-control--has-help-text .form-control__help-text {
    color: var(--lynk-color-warning-500);
  }

  .form-control--has-success.form-control--has-label .form-control__label,
  .form-control--has-success.form-control--has-help-text .form-control__help-text {
    color: var(--lynk-color-success-500);
  }
`;

export {
  form_control_styles_default
};
