import {
  progress_bar_styles_default
} from "./chunk.J6UIXVTY.js";
import {
  o
} from "./chunk.J4J6TZIX.js";
import {
  LocalizeController
} from "./chunk.AFESEORB.js";
import {
  e as e2
} from "./chunk.4VMW2AZ2.js";
import {
  e,
  i,
  t
} from "./chunk.MZ73UT6D.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  T,
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// node_modules/.pnpm/lit-html@3.2.1/node_modules/lit-html/directives/style-map.js
var n2 = "important";
var i2 = " !" + n2;
var o2 = e(class extends i {
  constructor(t2) {
    var _a;
    if (super(t2), t2.type !== t.ATTRIBUTE || "style" !== t2.name || ((_a = t2.strings) == null ? void 0 : _a.length) > 2) throw Error("The `styleMap` directive must be used in the `style` attribute and must be the only part in the attribute.");
  }
  render(t2) {
    return Object.keys(t2).reduce((e3, r) => {
      const s = t2[r];
      return null == s ? e3 : e3 + `${r = r.includes("-") ? r : r.replace(/(?:^(webkit|moz|ms|o)|)(?=[A-Z])/g, "-$&").toLowerCase()}:${s};`;
    }, "");
  }
  update(e3, [r]) {
    const { style: s } = e3.element;
    if (void 0 === this.ft) return this.ft = new Set(Object.keys(r)), this.render(r);
    for (const t2 of this.ft) null == r[t2] && (this.ft.delete(t2), t2.includes("-") ? s.removeProperty(t2) : s[t2] = null);
    for (const t2 in r) {
      const e4 = r[t2];
      if (null != e4) {
        this.ft.add(t2);
        const r2 = "string" == typeof e4 && e4.endsWith(i2);
        t2.includes("-") || r2 ? s.setProperty(t2, r2 ? e4.slice(0, -11) : e4, r2 ? n2 : "") : s[t2] = e4;
      }
    }
    return T;
  }
});

// src/components/progress-bar/progress-bar.component.ts
var LynkProgressBar = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.localize = new LocalizeController(this);
    this.value = 0;
    this.indeterminate = false;
    this.label = "";
  }
  render() {
    return x`
      <div
        part="base"
        class=${e2({
      "progress-bar": true,
      "progress-bar--indeterminate": this.indeterminate,
      "progress-bar--rtl": this.localize.dir() === "rtl"
    })}
        role="progressbar"
        title=${o(this.title)}
        aria-label=${this.label.length > 0 ? this.label : this.localize.term("progress")}
        aria-valuemin="0"
        aria-valuemax="100"
        aria-valuenow=${this.indeterminate ? 0 : this.value}
      >
        <div part="indicator" class="progress-bar__indicator" style=${o2({ width: `${this.value}%` })}>
          ${!this.indeterminate ? x` <slot part="label" class="progress-bar__label"></slot> ` : ""}
        </div>
      </div>
    `;
  }
};
LynkProgressBar.styles = [component_styles_default, progress_bar_styles_default];
__decorateClass([
  n({ type: Number, reflect: true })
], LynkProgressBar.prototype, "value", 2);
__decorateClass([
  n({ type: Boolean, reflect: true })
], LynkProgressBar.prototype, "indeterminate", 2);
__decorateClass([
  n()
], LynkProgressBar.prototype, "label", 2);

export {
  LynkProgressBar
};
/*! Bundled license information:

lit-html/directives/style-map.js:
  (**
   * @license
   * Copyright 2018 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*/
