import {
  page_footer_styles_default
} from "./chunk.CPBIVHDH.js";
import {
  LynkPageContent
} from "./chunk.Z5N2JEFS.js";
import {
  LynkPage
} from "./chunk.F6A2LG7N.js";
import {
  e
} from "./chunk.4VMW2AZ2.js";
import {
  LynkElement,
  n
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/page-footer/page-footer.component.ts
var LynkPageFooter = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.width = "fluid";
  }
  connectedCallback() {
    super.connectedCallback();
    if (!this.slot && this.hasParentLayout()) {
      this.slot = "footer";
    }
  }
  // Checks whether the heading is nested into a lynk-page
  hasParentLayout() {
    const parent = this.parentElement;
    return parent instanceof LynkPage;
  }
  render() {
    return x`
      <lynk-page-content width="${this.width}" style="--padding-top: 0; --padding-bottom: 0;">
        <footer
          part="base"
          class=${e({
      "page-footer": true
    })}
        >
          <slot part="primary" class="page-footer__primary"></slot>
          <slot part="center" name="center" class="page-footer__center"></slot>
          <slot part="secondary" name="secondary" class="page-footer__secondary"></slot>
        </footer>
      </lynk-page-content>
    `;
  }
};
LynkPageFooter.styles = [component_styles_default, page_footer_styles_default];
LynkPageFooter.dependencies = { "lynk-page-content": LynkPageContent, "lynk-page": LynkPage };
__decorateClass([
  n({ reflect: true })
], LynkPageFooter.prototype, "width", 2);

export {
  LynkPageFooter
};
