import {
  truncate_styles_default
} from "./chunk.CXGUJWCB.js";
import {
  e
} from "./chunk.4VMW2AZ2.js";
import {
  LynkElement,
  e as e2,
  n,
  r
} from "./chunk.2EAGJTRH.js";
import {
  component_styles_default
} from "./chunk.V6UNAAZX.js";
import {
  x
} from "./chunk.Z3O73C4R.js";
import {
  __decorateClass
} from "./chunk.W27M6RDR.js";

// src/components/truncate/truncate.component.ts
var LynkTruncate = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.hasDefaultSlot = false;
    this.hasEndSlot = false;
    this.title = "";
  }
  handleDefaultSlotChange() {
    const slottedElements = [...this.defaultSlot.assignedNodes({ flatten: true })];
    if (slottedElements.length) {
      this.hasDefaultSlot = true;
    } else {
      this.hasDefaultSlot = false;
    }
  }
  handleEndSlotChange() {
    const slottedElements = [...this.endSlot.assignedNodes({ flatten: true })];
    if (slottedElements.length) {
      this.hasEndSlot = true;
    } else {
      this.hasEndSlot = false;
    }
  }
  /** Returns a plain text label based on the option's content. */
  getTextLabel() {
    var _a;
    return ((_a = this.textContent) != null ? _a : "").trim();
  }
  render() {
    return x`
      <span
        part="base"
        title=${this.title || this.getTextLabel()}
        class=${e({
      truncate: true,
      "truncate--end": this.hasDefaultSlot && !this.hasEndSlot,
      "truncate--middle": this.hasDefaultSlot && this.hasEndSlot,
      "truncate--start": !this.hasDefaultSlot && this.hasEndSlot
    })}
      >
        <slot class="truncate__start" @slotchange=${this.handleDefaultSlotChange}></slot>
        <slot name="end" class="truncate__end" @slotchange=${this.handleEndSlotChange}></slot>
      </span>
    `;
  }
};
LynkTruncate.styles = [component_styles_default, truncate_styles_default];
__decorateClass([
  e2("slot")
], LynkTruncate.prototype, "defaultSlot", 2);
__decorateClass([
  e2('slot[name="end"]')
], LynkTruncate.prototype, "endSlot", 2);
__decorateClass([
  r()
], LynkTruncate.prototype, "hasDefaultSlot", 2);
__decorateClass([
  r()
], LynkTruncate.prototype, "hasEndSlot", 2);
__decorateClass([
  n()
], LynkTruncate.prototype, "title", 2);
__decorateClass([
  n({ type: Number })
], LynkTruncate.prototype, "clamp", 2);

export {
  LynkTruncate
};
