import {
  i
} from "./chunk.Z3O73C4R.js";

// src/components/page-header/page-header.styles.ts
var page_header_styles_default = i`
  :host {
    display: contents;
    --gap: var(--lynk-spacing-2x-small);
  }

  .page-header {
    padding-top: var(--lynk-spacing-base);
    display: grid;
    gap: var(--gap);
    grid-template-areas:
      'breadcrumb aux'
      'main main'
      'controls controls'
      'tabs tabs';
    grid-template-rows: min-content;
    grid-template-columns: 1fr min-content;
  }

  .page-header__breadcrumb,
  ::slotted(lynk-breadcrumb) {
    grid-area: breadcrumb;
    align-self: center;
  }

  .page-header__aux {
    grid-area: aux;
    display: flex;
    gap: var(--lynk-spacing-2x-small);
    justify-content: flex-end;
  }

  .page-header__controls {
    grid-area: controls;
    display: flex;
    flex-wrap: nowrap;
    width: auto;
    margin-right: auto;
    gap: var(--lynk-spacing-2x-small);
    justify-content: flex-start;
    align-self: center;
  }

  .page-header__main {
    display: block;
    grid-area: main;
    min-width: min-content;
  }

  .page-header__main h1,
  .page-header__main::slotted(h1),
  .page-header__main::slotted(h2),
  .page-header__main::slotted(h3) {
    margin: 0;
    font-size: var(--lynk-font-size-2x-large);
    line-height: var(--lynk-line-height-dense);
    font-weight: var(--lynk-font-weight-semibold);
  }

  .page-header__tabs,
  .page-header ::slotted(lynk-tab-group) {
    display: block;
    grid-area: tabs;
  }

  @media (min-width: 768px) {
    .page-header {
      grid-template-areas:
        'breadcrumb aux'
        'main controls'
        'tabs tabs';
    }

    .page-header__controls {
      margin-left: auto;
      justify-content: flex-end;
    }
  }
`;

export {
  page_header_styles_default
};
