import LynkElement from '../../internal/lynk-element.js';
import type { CSSResultGroup } from 'lit';
/**
 * @summary Table `<lynk-tbody>` components will behave like a native `<tbody>` HTML element within a `<lynk-table>`.
 * @documentation https://lynk.design/components/tbody
 * @since 1.0.0
 * @status stable
 */
export default class LynkTbody extends LynkElement {
    static styles: CSSResultGroup;
    render(): import("lit").TemplateResult<1>;
}
