import {
  auto_grid_styles_default
} from "./chunk.KAQ6IGEE.js";
import {
  LynkElement
} from "./chunk.7M4AVQ6D.js";
import {
  component_styles_default
} from "./chunk.Y7724W4D.js";
import {
  __decorateClass
} from "./chunk.KAW7D32O.js";

// src/components/auto-grid/auto-grid.component.ts
import { classMap } from "lit/directives/class-map.js";
import { html } from "lit";
import { property } from "lit/decorators.js";
var LynkAutoGrid = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.autoSize = "fit";
    this.minSize = "20rem";
    this.gap = "var(--lynk-spacing-base)";
  }
  render() {
    return html`
      <slot
        part="base"
        class=${classMap({
      "auto-grid": true,
      "auto-grid--fit": this.autoSize === "fit",
      "auto-grid--fill": this.autoSize === "fill"
    })}
        style="--gap: ${this.gap}; --min-size: ${this.minSize};"
      ></slot>
    `;
  }
};
LynkAutoGrid.styles = [component_styles_default, auto_grid_styles_default];
__decorateClass([
  property({ reflect: true, attribute: "auto-size" })
], LynkAutoGrid.prototype, "autoSize", 2);
__decorateClass([
  property({ type: String, reflect: true, attribute: "min-size" })
], LynkAutoGrid.prototype, "minSize", 2);
__decorateClass([
  property({ type: String, reflect: true })
], LynkAutoGrid.prototype, "gap", 2);

export {
  LynkAutoGrid
};
