import {
  page_styles_default
} from "./chunk.JUUCWPYD.js";
import {
  LynkElement
} from "./chunk.7M4AVQ6D.js";
import {
  component_styles_default
} from "./chunk.Y7724W4D.js";

// src/components/page/page.component.ts
import { html } from "lit";
var LynkPage = class extends LynkElement {
  render() {
    return html`
      <div part="base" class="page">
        <slot name="header" part="header" class="page__header"></slot>
        <slot name="left-sidebar" part="left-sidebar" class="page__left-sidebar"></slot>
        <slot name="left-inset-sidebar" part="left-inset-sidebar" class="page__left-inset-sidebar"></slot>
        <div part="main" class="page__main">
          <slot></slot>
        </div>
        <slot name="right-sidebar" part="right-sidebar" class="page__right-sidebar"></slot>
        <slot name="right-inset-sidebar" part="right-inset-sidebar" class="page__right-inset-sidebar"></slot>
        <slot name="footer" part="footer" class="page__footer"></slot>
      </div>
    `;
  }
};
LynkPage.styles = [component_styles_default, page_styles_default];

export {
  LynkPage
};
