import {
  spinner_styles_default
} from "./chunk.A7I3LAZL.js";
import {
  LocalizeController
} from "./chunk.6CTB5ZDJ.js";
import {
  LynkElement
} from "./chunk.7M4AVQ6D.js";
import {
  component_styles_default
} from "./chunk.Y7724W4D.js";

// src/components/spinner/spinner.component.ts
import { html } from "lit";
var LynkSpinner = class extends LynkElement {
  constructor() {
    super(...arguments);
    this.localize = new LocalizeController(this);
  }
  render() {
    return html`
      <svg part="base" class="spinner" role="progressbar" aria-label=${this.localize.term("loading")}>
        <circle class="spinner__track"></circle>
        <circle class="spinner__indicator"></circle>
      </svg>
    `;
  }
};
LynkSpinner.styles = [component_styles_default, spinner_styles_default];

export {
  LynkSpinner
};
