import LynkElement from '../../internal/lynk-element.js';
import type { CSSResultGroup } from 'lit';
/**
 * @summary Menu labels are used to describe a group of menu items.
 * @documentation https://lynk.design/components/menu-label
 * @since 1.0.0
 * @status stable
 *
 * @slot - The menu label's content.
 *
 * @csspart base - The component's internal wrapper.
 */
export default class LynkMenuLabel extends LynkElement {
    static styles: CSSResultGroup;
    render(): import("lit").TemplateResult<1>;
}
