import Component from '../../components/button-group/button-group.component.js';
/**
 * @summary Button groups can be used to group related buttons into sections.
 * @documentation https://lynk.design/components/button-group
 * @since 1.0.0
 * @status stable
 *
 * @slot - One or more `<lynk-button>` elements to display in the button group.
 *
 * @csspart base - The component's internal wrapper.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
