import Component from '../../components/divider/divider.component.js';
/**
 * @summary Dividers are used to visually separate or group elements.
 * @documentation https://lynk.design/components/divider
 * @status stable
 * @since 1.0.0
 *
 * @cssproperty --color - The color of the divider.
 * @cssproperty --width - The width of the divider.
 * @cssproperty --spacing - The spacing of the divider.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
