import Component from '../../components/spinner/spinner.component.js';
/**
 * @summary Spinners are used to show the progress of an indeterminate operation.
 * @documentation https://lynk.design/components/spinner
 * @since 1.0.0
 * @status stable
 *
 * @csspart base - The component's internal wrapper.
 *
 * @cssproperty --track-width - The width of the track.
 * @cssproperty --track-color - The color of the track.
 * @cssproperty --indicator-color - The color of the indicator.
 * @cssproperty --speed - The time it takes for the spinner to complete one animation cycle.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
