import Component from '../../components/td/td.component.js';
/**
 * @summary Table `<lynk-td>` components will behave like a native `<td>` HTML element within a `<lynk-table>`.
 * @documentation https://lynk.design/components/td
 * @since 1.0.0
 * @status stable
 *
 * @slot - The contents of the table cell.
 *
 * @csspart base - The component's internal wrapper.
 */
declare const reactWrapper: import("@lit/react").ReactWebComponent<Component, {}>;
export default reactWrapper;
